
QGIS Application - Bug report #9355

Export/add geometric column terribly slow

2014-01-16 05:15 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.0.1 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 17955

Description

Even in the case of points (no complex calculations to do), it takes hours for half a million points (on a slow machine).

History

#1 - 2014-01-16 05:16 AM - Paolo Cavallini

- Subject changed from Exoprt/add geometric column terribly slow to Export/add geometric column terribly slow

#2 - 2016-10-10 04:28 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

Not an issue on the newer processing version - tested with 500k point file, speed is comparable to saving a copy of the layer without changes.

#3 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
